import QtQuick 2.0

import QtQuick.Layouts 1.11

import QGroundControl.Controls 1.0
import QGroundControl.FactControls 1.0
import QGroundControl.ScreenTools   1.0

GridLayout {
    id: grid

    property var generator: undefined // CircularGenerator
    property var availableWidth
    property real   _margin: ScreenTools.defaultFontPixelWidth / 2

    width:      availableWidth
    columnSpacing:  _margin
    rowSpacing:     _margin
    columns:        2

    Component.onCompleted: {
        console.assert(generator !== undefined, "please set the generator property")
    }

    QGCLabel { text: qsTr("Distance") }
    FactTextField {
        fact:                   generator.distance
        Layout.fillWidth:       true
    }

    QGCLabel { text: qsTr("Delta Alpha") }
    FactTextField {
        fact:                   generator.deltaAlpha
        Layout.fillWidth:       true
    }

    QGCLabel { text: qsTr("Min. Length") }
    FactTextField {
        fact:                   generator.minLength
        Layout.fillWidth:       true
    }

    QGCButton {
        text:               qsTr("Reset Ref.")
        onClicked:          generator.resetReference();
        Layout.fillWidth:  true
        Layout.columnSpan: 2
    }
}
